import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AppletContainerModel } from '../../../../../models/aggregates/applet/applet-container.model';
import { BaseApiTemplateService } from '../shared/base-api-template-service.model';
import { ApiVisa, Pagination } from '../shared';
export declare class AppletService extends BaseApiTemplateService<AppletContainerModel> {
    constructor(http: HttpClient);
    addImageFile(appletGuid: string, file: File, apiVisa: ApiVisa): Observable<Object>;
    addVideoFile(appletGuid: string, file: File, apiVisa: ApiVisa): Observable<Object>;
    getFile(extGuid: string, visa: ApiVisa): Observable<Blob>;
    updateAppletLogo(apiVisa: ApiVisa, file: File, appletGuid: string): Observable<Object>;
    /**
    @param iconGuid bl_applet_hdr.applet_icon_file_guid
    */
    getAppletLogo(apiVisa: ApiVisa, iconGuid: string): Observable<Object>;
    getAppletStoreView(apiVisa: ApiVisa, hdrGuid: string): Observable<Object>;
    getAppletsByCriteriaAsSysAdmin(pagination: Pagination, apiVisa: ApiVisa): Observable<Object>;
    createAppletAsSysAdmin(applet: AppletContainerModel, apiVisa: ApiVisa): Observable<Object>;
    updateAppletAsSysAdmin(applet: AppletContainerModel, apiVisa: ApiVisa): Observable<Object>;
    deleteAppletAsSysAdmin(guid: String, apiVisa: ApiVisa): Observable<Object>;
    updateAppletLogoAsAsSysadmin(apiVisa: ApiVisa, file: File, appletGuid: string): Observable<Object>;
    private setUrl;
    getByGuidAsSysadmin(guid: string, apiVisa: ApiVisa): Observable<import("../shared").BasicApiResponseModel<AppletContainerModel>>;
    getFileAsSysadmin(extGuid: string, apiVisa: ApiVisa): Observable<Blob>;
}
